## prog.utili
Class Intero

    java.lang.Object
      prog.utili.Intero

    public class Intero

extends java.lang.Object

Le istanze della classe rappresentano numeri interi.

Version:
  2.0
Author:
  Giovanni Pighizzini, Mauro Ferrari

Constructor Summary
`Intero(int x)` Costruisce un nuovo oggetto che rappresenta il numero intero fornito tramite l'argomento.

Method Summary
`boolean` `equals(Intero altro)` Restituisce `true` se e solo se l'intero rappresentato dall'oggetto che esegue il metodo è uguale a quello specificato tramite l'argomento.
`boolean` `equals(java.lang.Object o)` Restituisce `true` se e solo se l'oggetto specificato come argomento è un istanza di `Intero` e rappresenta lo stesso valore di quello che esegue il metodo.
`int` `intValue()` Restituisce il valore intero rappresentato dall'oggetto che esegue il metodo.
`java.lang.String` `toString()` Costruisce una stringa contenente il numero rappresentato dall'oggetto che esegue il metodo, espresso in lettere; ad esempio, se l'oggetto che esegue il metodo rappresenta il numero 34, il metodo restituirà la stringa `"trentaquattro"`.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Intero

    public Intero(int x)

  Costruisce un nuovo oggetto che rappresenta il numero intero fornito tramite l'argomento.

  Parameters:
    `x` - l'intero da rappresentare.

Method Detail

### intValue

    public int intValue()

  Restituisce il valore intero rappresentato dall'oggetto che esegue il metodo.

  Returns:
    il valore dell'intero rappresentato.

### toString

    public java.lang.String toString()

  Costruisce una stringa contenente il numero rappresentato dall'oggetto che esegue il metodo, espresso in lettere; ad esempio, se l'oggetto che esegue il metodo rappresenta il numero 34, il metodo restituirà la stringa `"trentaquattro"`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    la stringa che descrive l'intero rappresentato.

### equals

    public boolean equals(Intero altro)

  Restituisce `true` se e solo se l'intero rappresentato dall'oggetto che esegue il metodo è uguale a quello specificato tramite l'argomento.

  Parameters:
    `altro` - l'intero da confrontare con quello che esegue il metodo.
  Returns:
    `true` se e solo se l'intero che esegue il metodo è uguale a quello fornito tramite l'argomento.

### equals

    public boolean equals(java.lang.Object o)

  Restituisce `true` se e solo se l'oggetto specificato come argomento è un istanza di `Intero` e rappresenta lo stesso valore di quello che esegue il metodo.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - l'oggetto da confrontare con quello che esegue il metodo.
  Returns:
    `true` se e solo se l'oggetto fornito come argomento è un intero uguale a quello che esegue il metodo.